NNTPpost                                                                NNTPpost


NAME

        NNTPpost - post a news article using NNTP


SYNOPSIS

        NNTPpost [-f username] [-r realname] [-R referencesfile]
                 [-x filetobedeleted] articlefile | <articlefile


DESCRIPTION

        NNTPpost attempts to open a TCP/IP socket to the host defined
        by the NNTPSERVER environment variable at its NNTP port. That
        port is normally 119 (refer to RFC-977 for details on NNTP).

        If the connection succeeds, NNTPpost will submit "articlefile"
        as a news article. If an error occurs, NNTPpost will display
        the error, as well as log the error to the INet logfile (by
        default, "INet:Logfile", but this may be changed by using the
        LOGFILE environment variable).

        "articlefile" may be specified on the command line, or as the
        standard input.

        If NNTP Authentication is required, the environment variables
        NNTPuserid and NNTPpassword must be present. When they are,
        and the NNTP server requests authentication, NNTPpost will
        perform the requisite transactions.

        Options:

            -f username : The username to be used in building a From
                          header in the article. Note that if a From
                          header already exists in the article, then
                          NNTPpost will not create another one.

            -r realname : The realname to be used in building a From
                          header in the article.

            -R reffile  : This causes a file named "reffile" to be
                          inserted in the article as part of the headers.
                          This is typically used for such items as the
                          References header and for user-specified
                          headers.

            -x delfile  : This causes a file named "delfile" to be
                          deleted after the article is posted. There
                          may be up to 32 -x arguments. The files are
                          only deleted if the post succeeds.

        Note that NNTP requires three headers: Newsgroups, From, and
        Subject. NNTPpost will generate a From header if it does not
        exist in "articlefile". NNTPpost will also generate a Date and
        a Message-ID header if they are not present in "articlefile".
        Thus, the following four lines represent a minimal article:

        Newsgroups: local.test
        Subject: Test of NNTPpost

        Just a tiny test.

        The NNTP server will generate other headers, required and otherwise.


DIAGNOSTICS

        Upon success, NNTPpost has a return status of zero, and no
        messages are printed.

        Upon failure of any kind, NNTPpost prints a message to standard
        output, and has an exit status of 30. NNTPpost also prints the
        error message in LOGFILE (normally INet:Logfile).


NOTES

        NNTPpost *does* *not* *queue*. If the server isn't available
        when NNTPpost tries to send the article, then the article
        doesn't go.

        NNTPpost duplicates the arguments used by the AmigaUUCP Postnews.
        It can be dropped-in as a replacement for that.

        NNTPpost has been tested with AmigaUUCP, GRn, and BBX.

        If NNTPpost must generate a From header, it requires that USERNAME,
        HOSTNAME (or NODENAME) and DOMAINNAME be defined either as environment
        variables, or in UULib:Config.


BUGS/TODO

        None known.
